Difference between revisions of "Getting Started/Build/Distributions/Mandriva"

Jump to: navigation, search
m (Text replace - "<code bash>" to "<syntaxhighlight lang="bash">")
Line 2: Line 2:
 
In Mandriva the build dependencies you need are installed with:
 
In Mandriva the build dependencies you need are installed with:
  
<code bash>
+
<syntaxhighlight lang="bash">
 
urpmi gcc-c++ make cmake libxml2-devel libbzip2_1-devel libclucene-devel \
 
urpmi gcc-c++ make cmake libxml2-devel libbzip2_1-devel libclucene-devel \
 
liblrdf2-devel libmesagl1-devel subversion doxygen libdbus-devel \
 
liblrdf2-devel libmesagl1-devel subversion doxygen libdbus-devel \
Line 14: Line 14:
 
additional features:
 
additional features:
  
<code bash>
+
<syntaxhighlight lang="bash">
 
urpmi libusb-devel libbluez-devel OpenEXR-devel libxklavier-devel \
 
urpmi libusb-devel libbluez-devel OpenEXR-devel libxklavier-devel \
 
liblm_sensors3-devel libmysql-devel libxslt-proc mysql
 
liblm_sensors3-devel libmysql-devel libxslt-proc mysql
Line 20: Line 20:
  
 
If you're running a 64-bit environment you should install these packages with:
 
If you're running a 64-bit environment you should install these packages with:
<code bash>
+
<syntaxhighlight lang="bash">
 
urpmi gcc-c++ make cmake lib64xml2-devel lib64bzip2_1-devel \
 
urpmi gcc-c++ make cmake lib64xml2-devel lib64bzip2_1-devel \
 
lib64clucene-devel lib64lrdf2-devel lib64mesagl1-devel \
 
lib64clucene-devel lib64lrdf2-devel lib64mesagl1-devel \
Line 30: Line 30:
  
 
And for additional features:
 
And for additional features:
<code bash>
+
<syntaxhighlight lang="bash">
 
urpmi lib64usb-devel lib64bluez-devel lib64OpenEXR-devel lib64xklavier-devel \
 
urpmi lib64usb-devel lib64bluez-devel lib64OpenEXR-devel lib64xklavier-devel \
 
lib64lm_sensors3-devel
 
lib64lm_sensors3-devel

Revision as of 21:40, 29 June 2011


Getting_Started/Build/Distributions/Mandriva

In Mandriva the build dependencies you need are installed with:

urpmi gcc-c++ make cmake libxml2-devel libbzip2_1-devel libclucene-devel \
liblrdf2-devel libmesagl1-devel subversion doxygen libdbus-devel \
libopenssl1.0.0-devel libalsa2-devel libgpgme-devel libboost-devel \
libxine-devel libungif-devel libcppunit-devel libxslt-devel \
libaspell-devel libxcb-devel patch libpng-devel libjpeg62-devel \
docbook-dtd42-xml
</code>
 
You may want to add some optional packages to enable compilation of
additional features:
 
<syntaxhighlight lang="bash">
urpmi libusb-devel libbluez-devel OpenEXR-devel libxklavier-devel \
liblm_sensors3-devel libmysql-devel libxslt-proc mysql
</code>
 
If you're running a 64-bit environment you should install these packages with:
<syntaxhighlight lang="bash">
urpmi gcc-c++ make cmake lib64xml2-devel lib64bzip2_1-devel \
lib64clucene-devel lib64lrdf2-devel lib64mesagl1-devel \
subversion doxygen lib64dbus-1-devel lib64openssl1.0.0-devel \
lib64alsa2-devel lib64gpgme-devel lib64boost-devel lib64xine-devel \
lib64gift-devel lib64ungif4-devel lib64cppunit-devel lib64xslt-devel \
lib64aspell-devel lib64xcb-devel patch
</code>
 
And for additional features:
<syntaxhighlight lang="bash">
urpmi lib64usb-devel lib64bluez-devel lib64OpenEXR-devel lib64xklavier-devel \
lib64lm_sensors3-devel
</code>
 
Newer versions of Mandriva (from at least 2010.0) use lm_sensors4 instead of lm_sensors3. If urpmi reports that liblm_sensors3-devel or lib64lm_sensors3-devel does not exist, try respectively liblm_sensors4-devel or lib64lm_sensors4-devel.
 
If you prefer a graphical interface, select the packages listed above in the "Install Software" tool in Mandriva Linux Control Center.

KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal